<template>
	<view>
		<web-view :src="outUrl"></web-view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				enterUrl:"",//进入页面路由
				outUrl:"",//跳出页面路由
			}
		},
		onLoad(option) {
			//#ifdef MP-WEIXIN
			this.enterUrl=option.q
			//#endif
			
			//#ifdef MP-ALIPAY
				this.enterUrl=uni.getStorageSync("alipayQrCode")
			//#endif
			
			if(this.enterUrl){//普通二维码扫码进入
				let channelId=this.getUrlKey("channelId")
				let companyId=this.getUrlKey("companyId")
				let merchantId=this.getUrlKey("merchantId")
				let groupId=this.getUrlKey("groupId")
				let groupChannelId=this.getUrlKey("groupChannelId")
				let pageType=this.getUrlKey("pageType")
				let pdOpenid=uni.getStorageSync("openid")//胖丁小程序openid,临时用，当公众号授权做好之后可以删除
				let pdToken=uni.getStorageSync("token")
				let pdCreateUserId=uni.getStorageSync("createUserId")
				let pdUserId=uni.getStorageSync("userId")
				let pageCode=this.getUrlKey("pageCode")//赠送优惠券接口参数
				if(pageType==1){//组合
					this.outUrl="https://wx.pangdly.com/#/combiChoose?channelId="+channelId+"&merchantId="+merchantId+"&groupId="+groupId+"&groupChannelId="+groupChannelId+"&companyId="+companyId+"&pdOpenid="+pdOpenid+"&pdToken="+pdToken+"&pdCreateUserId="+pdCreateUserId+"&pdUserId="+pdUserId
					
				}else{//分销
					uni.navigateTo({
						url:"../distributionCombiChoose/distributionCombiChoose?channelId="+channelId+"&merchantId="+merchantId+"&groupId="+groupId+"&groupChannelId="+groupChannelId+"&companyId="+companyId+"&pageCode"+pageCode
					})
				}
			}else{//小程序页面跳转进入
				let channelId=option.channelId||''
				let companyId=option.companyId||''
				let merchantId=option.merchantId||''
				let groupId=option.groupId||''
				let groupChannelId=option.groupChannelId||''
				let thirdOpenid=option.thirdOpenid||''//第三方openid
				let touristType=option.touristType||''//游客类型
				let pdOpenid=uni.getStorageSync("openid")||''//胖丁小程序openid,临时用，当公众号授权做好之后可以删除
				let pdToken=uni.getStorageSync("token")||''
				let pdCreateUserId=uni.getStorageSync("createUserId")||''
				let pdUserId=uni.getStorageSync("userId")||''
				let baseUrl="https://wx.pangdly.com/#/combiChoose?thirdOpenid="+thirdOpenid+"&touristType="+touristType
				this.outUrl=baseUrl+"&channelId="+channelId+"&merchantId="+merchantId+"&groupId="+groupId+"&groupChannelId="+groupChannelId+"&companyId="+companyId+"&pdOpenid="+pdOpenid+"&pdToken="+pdToken+"&pdCreateUserId="+pdCreateUserId+"&pdUserId="+pdUserId
				
			}
		},
		methods: {
			getUrlKey(name){//---------------------------------------------------------------获取url
			  return(new RegExp('[?|&]' + name + '=' + '([^&;]+?)(&|#|;|$)').exec(decodeURIComponent(this.enterUrl)) || [, ""])[1].replace(/\+/g, '%20') || "";
			},
		}
	}
</script>

<style>

</style>
